<%@ Page Language="C#" MasterPageFile="~/Admin/AdminMasterMenu.master" AutoEventWireup="true"
    CodeFile="frmDocumentsReport.aspx.cs" Inherits="Admin_frmReports" %>

<%@ Register Assembly="GMDatePicker" Namespace="GrayMatterSoft" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <table width="100%" height="373">
        <tr>
            <td valign="top" align="left">
                <table width="100%">
                    <tr>
                        <td colspan="6" class="LoginTitle">
                            Documents
                            Reports
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 18%">
                            User Name</td>
                        <td style="width: 2%">
                            :</td>
                        <td style="width: 30%">
                            <asp:DropDownList ID="ddlUserName" runat="server">
                            </asp:DropDownList>
                        </td>
                        <td colspan="3">
                        </td>
                    </tr>
                    <tr>
                        <td >
                            Category</td>
                        <td >
                            :</td>
                        <td >
                            <asp:DropDownList ID="ddlCategory" runat="server">
                            </asp:DropDownList></td>
                        <td colspan="3">
                        </td>
                    </tr>
                    <tr>
                        <td >
                            Status</td>
                        <td >
                            :</td>
                        <td >
                            <asp:DropDownList ID="ddlStatus" runat="server">
                            </asp:DropDownList></td>
                        <td colspan="3">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Submitted Date</td>
                        <td>
                            :</td>
                        <td>
                            From Date
                            <cc1:GMDatePicker ID="GMDPFromDate" runat="server" CalendarOffsetX="-127px" CalendarTheme="Blue"
                                DateFormat="dd-MMM-yyyy" InitialValueMode="Null" NoneButtonText="Clear">
                            </cc1:GMDatePicker>
                        </td>
                        <td>
                            To Date</td>
                        <td>
                            :</td>
                        <td>
                            <cc1:GMDatePicker ID="GMDPToDate" runat="server" CalendarOffsetX="-127px" CalendarTheme="Blue"
                                DateFormat="dd-MMM-yyyy" InitialValueMode="Null" NoneButtonText="Clear">
                            </cc1:GMDatePicker>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td>
                            <asp:Button ID="btnSearch" runat="server" Text="Search" Width="60px" OnClick="btnSearch_Click"
                                CssClass="btnstyle" />
                            <asp:TextBox ID="txtPageSize" runat="server" OnKeypress="return onlyNumbers(event)"
                                Width="50px" Visible="False"></asp:TextBox>
                            <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="txtPageSize"
                                CssClass="lblerror" ErrorMessage="Invalid Number" MaximumValue="999" MinimumValue="1"
                                Style="position: relative; left: 0px;" Type="Integer"></asp:RangeValidator></td>
                        <td colspan="3">
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td colspan="4">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="6">
                            <asp:Button ID="btnExportToExcel" runat="server" Text="Export to Excel" OnClick="btnExportToExcel_Click"
                                CssClass="btnstyle" Width="120px" />
                            <asp:Button ID="btnExportToPDF" runat="server" Text="Export to PDF" OnClick="btnExportToPDF_Click"
                                CssClass="btnstyle" Width="120px" />
                            <input id="Button1" type="button" value="Print" onclick="window.print()" class="btnstyle" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">
                            <table border="0" width="100%">
                                <tr>
                                    <td colspan="2">
                                        <asp:GridView ID="gvReports" runat="server" AutoGenerateColumns="False" Width="100%"
                                            OnPageIndexChanging="gvReports_PageIndexChanging" OnSorting="gvReports_Sorting">
                                            <Columns>
                                                <asp:TemplateField HeaderText="Document Title" SortExpression="DocumentTitle">
                                                    <ItemTemplate>
                                                        <%#Eval("DocumentTitle")%>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="Category" SortExpression="CategoryName">
                                                    <ItemTemplate>
                                                        <%#Eval("CategoryName")%>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="KeyWords">
                                                    <ItemTemplate>
                                                        <%#Eval("KeyWords")%>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="Submited BY">
                                                    <ItemTemplate>
                                                        <%#Eval("SubmittedBy")%>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="Submited Date">
                                                    <ItemTemplate>
                                                        <%#Eval("SubmittedDate","{0:dd-MMM-yyyy hh:mm:ss:tt}")%>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText="Status">
                                                    <ItemTemplate>
                                                        <%#Eval("StatusName")%>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                            </Columns>
                                        </asp:GridView>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="65%">
                                        <asp:Label ID="lblError" CssClass="lblerror" Visible="false" runat="server" Text=""></asp:Label></td>
                                    <td align="right" style="height: 14px">
                                        <asp:Label ID="Lbl_Pageinfo" runat="server" Text=""></asp:Label></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
