using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Administration_frmUpdateDistrict : System.Web.UI.Page
{
    clsDistrict_Logic objDistrict = new clsDistrict_Logic();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["Id"] != null)
        {
            ViewState["Id"] = Request["Id"].ToString();
        }
        else
        {
            Response.Redirect("frmManageDistrict.aspx");
        }
        if (!Page.IsPostBack)
        {
            BindStatus();
            BindCountry();                 
            BindDetails();
        }
    }

    void BindStatus()
    {
        DataSet dsStatus = objDistrict.GetStatus();
        ddlStatus.DataSource = dsStatus.Tables[0];
        ddlStatus.DataTextField = "StatusName";
        ddlStatus.DataValueField = "StatusId";
        ddlStatus.DataBind();
        ddlStatus.Items.Insert(0, "select");      
    }

    void BindCountry()
    {
        DataSet dsCountry = objDistrict.GetCountry();
        ddlCountryName.DataSource = dsCountry.Tables[0];
        ddlCountryName.DataTextField = "CountryName";
        ddlCountryName.DataValueField = "CountryId";
        ddlCountryName.DataBind();
        ddlCountryName.Items.Insert(0, "select");        
    }
    void BindState()
    {
        DataSet dsState= objDistrict.GetState();
        ddlStateName.DataSource = dsState.Tables[0];
        ddlStateName.DataTextField = "StateName";
        ddlStateName.DataValueField = "StateId";
        ddlStateName.DataBind();
        ddlStateName.Items.Insert(0, "select");  
    }

    void BindDetails()
    {
        objDistrict.pro_DistrictId = Convert.ToInt32(ViewState["Id"].ToString());
        objDistrict.GetDistrictDetails();
        txtDistrictName.Text = objDistrict.pro_DistrictName;
        txtDistrictDescription.Text = objDistrict.pro_DistrictDescription;
        int Index = ddlStatus.Items.IndexOf(ddlStatus.Items.FindByText(objDistrict.pro_StatusName));
        if (Index >= 0)
            ddlStatus.Items[Index].Selected = true;

        int Index1 = ddlCountryName.Items.IndexOf(ddlCountryName.Items.FindByText(objDistrict.pro_CountryName));
        if (Index1 >= 0)
           ddlCountryName.Items[Index1].Selected = true;
       objDistrict.pro_CountryId = Convert.ToInt32(ddlCountryName.SelectedItem.Value);
       BindState();
        int Index2 = ddlStateName.Items.IndexOf(ddlStateName.Items.FindByText(objDistrict.pro_StateName));
        if (Index2 >= 0)
           ddlStateName.Items[Index2].Selected = true;


    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        objDistrict.pro_DistrictId = Convert.ToInt32(ViewState["Id"].ToString());
        objDistrict.pro_DistrictName = txtDistrictName.Text.Trim();
        objDistrict.pro_DistrictDescription = txtDistrictDescription.Text.Trim();
        objDistrict.pro_StatusName = ddlStatus.SelectedItem.Text;
        objDistrict.pro_StatusId = Convert.ToInt32(ddlStatus.SelectedItem.Value);
        objDistrict.pro_StateName = ddlStateName.SelectedItem.Text;
        objDistrict.pro_StateId = Convert.ToInt32(ddlStateName.SelectedItem.Value);
        objDistrict.pro_CountryName = ddlCountryName.SelectedItem.Text;
        objDistrict.pro_CountryId = Convert.ToInt32(ddlCountryName.SelectedItem.Value);
        objDistrict.UpdateDistrict();
        Response.Redirect("frmManageDistrict.aspx");
        //if (ddlCountryName.SelectedItem.Text != "select")
        //{
        //    if (ddlStateName.SelectedItem.Text != "select")
        //    {
        //        if (ddlStatus.SelectedItem.Text != "select")
        //        {
        //            objDistrict.pro_StateName = ddlStateName.SelectedItem.Text;
        //            objDistrict.pro_StateId = Convert.ToInt32(ddlStateName.SelectedItem.Value);
        //            objDistrict.pro_CountryName = ddlCountryName.SelectedItem.Text;
        //            objDistrict.pro_CountryId = Convert.ToInt32(ddlCountryName.SelectedItem.Value);
        //            objDistrict.UpdateDistrict();
        //            Response.Redirect("frmManageDistrict.aspx");
        //        }
        //        //lblErrorStatus.Visible = true;
        //    }
        //    else
        //    {
        //        //lblErrorStateName.Visible = true;            
        //    }
        //}
        //else
        //{
        //   // lblErrorCountryName.Visible = true;
        //}       
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmManageDistrict.aspx");
    }
    protected void ddlCountryName_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (ddlCountryName.SelectedItem.Text != "select")
        {
            objDistrict.pro_CountryName = ddlCountryName.SelectedItem.Text;
            objDistrict.pro_CountryId = Convert.ToInt32(ddlCountryName.SelectedItem.Value);
        }
        BindState();


    }
}
