using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmViewRatingComments : System.Web.UI.Page
{
    clsRatingComments_Logic objRatingComments = new clsRatingComments_Logic();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["AdminId"] == null)
        {
            Response.Redirect("frmAdminLogin.aspx");
        }
        else
        {
        }
        if (!Page.IsPostBack)
        {
            BindRatingComments();
        }
    }
    void BindRatingComments()
    {
        DataTable dtTemp;
        dtTemp = objRatingComments.GetAllComments().Tables[0];
        if (dtTemp.Rows.Count > 0)
        {
            dlRatingComments.DataSource = dtTemp;
            dlRatingComments.DataBind();
            lblerror.Visible = false;
        }
        else
        {
            lblerror.Text = "No Rating/Comments are available";
            lblerror.Visible = true;
        }
    }

    protected void dlRatingComments_ItemDataBound(object sender, DataListItemEventArgs e)
    {
        Label lblFileName = (Label)e.Item.FindControl("lblFileName");
        if (lblFileName != null)
        {
            string FName = lblFileName.Text;
            lblFileName.Text = "<a href='../UploadedDocuments/" + FName + "' target=_blank>" + FName + "</a>";
        }
        Label lblRating = (Label)e.Item.FindControl("lblRating");
        if (lblRating != null)
        {
            int Rating = Convert.ToInt32(lblRating.Text.Trim());

            if (Rating == 1)
                lblRating.Text = "<strong>*</strong>";
            else if (Rating == 2)
                lblRating.Text = "<strong>* *</strong>";
            else if (Rating == 3)
                lblRating.Text = "<strong>* * *</strong>";
            else if (Rating == 4)
                lblRating.Text = "<strong>* * * *</strong>";
            else if (Rating == 5)
                lblRating.Text = "<strong>* * * * *</strong>";
        }

    }
    protected void dlRatingComments_ItemCommand(object source, DataListCommandEventArgs e)
    {
        if (e.CommandName == "Delete")
        {
            int RatingCommentsID = Convert.ToInt32(e.CommandArgument.ToString());
            objRatingComments.DeleteRatingComments(RatingCommentsID);
            BindRatingComments();
        }
    }
}
