using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Administration_frmChangePassword : System.Web.UI.Page
{
    clsUser_Logic objUser = new clsUser_Logic();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["UserId"] == null)
        {
            Response.Redirect("../Default.aspx");
        }
        
        if (!Page.IsPostBack)
        {

        }
       
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        Page.Validate();
        if (Page.IsValid)
        {
           // objUser.UserId =Convert.ToInt32(Session["UserId"].ToString()); 
            objUser.UserName = Session["UserName"].ToString();
            objUser.OldPassword = txtOldPassword.Text.Trim();
            if (objUser.UserCheckPassword() == true)
            {
                if (txtNewPassword.Text.Trim() == txtOldPassword.Text.Trim())
                {
                    lblError.Text = "New Password should not be same as Old Password";
                    lblError.Visible = true;
                    lblSuccess.Visible = false;
                }
                else
                {
                    objUser.Password = txtNewPassword.Text.Trim();
                    objUser.UserChangePassword();
                    lblSuccess.Visible = true;
                    lblSuccess.Text = "Your Password has been changed successfully!";
                    lblError.Visible = false;

                }
            }
            else
            {
                lblError.Text = "Invalid Old Password";
                lblError.Visible = true;
                lblSuccess.Visible = false;
            }
        }
    }
}
