using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateCategory : System.Web.UI.Page
{
    clsCategory_Logic objCategory = new clsCategory_Logic();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["Id"] != null)
        {
            ViewState["Id"] = Request["Id"].ToString();
        }
        else
            Response.Redirect("frmManageCategory.aspx");
        if (!IsPostBack)
        {
            BindData();
        }

    }
    void BindData()
    {
        objCategory.CategoryId = Convert.ToInt32(ViewState["Id"].ToString());
        objCategory.GetCategoryDetails();
        txtCategoryName.Text = objCategory.CategoryName;
        txtCategoryDescription.Text = objCategory.CategoryDescr;
    
    }
    
    
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        objCategory.CategoryId = Convert.ToInt32(ViewState["Id"].ToString());
        objCategory.CategoryName = txtCategoryName.Text.Trim();
        objCategory.CategoryDescr = txtCategoryDescription.Text.Trim();
        objCategory.UpdateCategory();
        Response.Redirect("frmManageCategory.aspx");

    }

    protected void btnBack_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmManageCategory.aspx");
    }
}
