using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

/// <summary>
/// Summary description for clsUser_Logic
/// </summary>
public class clsUser_Logic
{
    int _UserDetailsId, _UserId,_StatusId, _CityId, _StateId, _CountryId,_UserTypeId;
    string _UserName, _Password, _OldPassword, _ContactNo, _Address, _EmailId, _Sex, _FirstName, _MiddleName, _LastName, _UserType, _Qualification, _FromRegisteredDate, _ToRegisteredDate;
    DateTime _DOB;
    public string Sort_On;
    clsDbConnector objdDbConnector = new clsDbConnector();
	public clsUser_Logic()
	{
		//
		// TODO: Add constructor logic here
		//
      
	}
    public int UserTypeId
    {
        get { return _UserTypeId; }
        set { _UserTypeId = value; }        
    }
    public int StatusId
    {
        get { return _StatusId; }
        set { _StatusId = value; }
    }
    public int UserDetailId
    {
        get { return _UserDetailsId; }
        set { _UserDetailsId = value; }
    }
    public int CityId
    {
        get { return _CityId; }
        set { _CityId = value; }
    }
    public int UserId
    {
        get { return _UserId; }
        set { _UserId = value; }
    }
    public int StateId
    {
        get { return _StateId; }
        set { _StateId = value; }
    }
    public int CountryId
    {
        get { return _CountryId; }
        set { _CountryId = value; }
    }
    public string UserName
    {
        get { return _UserName; }
        set { _UserName = value; }
    }
    public string Password
    {
        get { return _Password; }
        set { _Password = value; }
    }
    public string OldPassword
    {
        get { return _OldPassword; }
        set { _OldPassword = value; }
    }
    public string ContactNo
    {
        get { return _ContactNo; }
        set { _ContactNo = value; }
    }
    public string Address
    {
        get { return _Address; }
        set { _Address = value; }
    }
    public string EmailId
    {
        get { return _EmailId; }
        set { _EmailId = value; }
    }
    public string Sex
    {
        get { return _Sex; }
        set { _Sex = value; }
    }
    public string FirstName
    {
        get { return _FirstName; }
        set { _FirstName = value; }
    }
    public string MiddleName
    {
        get { return _MiddleName; }
        set { _MiddleName = value; }
    }
    public string LastName
    {
        get { return _LastName; }
        set { _LastName = value; }
    }
    public string UserType
    {
        get { return _UserType; }
        set { _UserType = value; }
    }
    public string Qualification
    {
        get { return _Qualification; }
        set { _Qualification = value; }
    }
    public DateTime DOB
    {
        get { return _DOB; }
        set { _DOB = value; }
    }
    public string FromRegisteredDate
    {
        get { return _FromRegisteredDate; }
        set { _FromRegisteredDate = value; }
    }
    public string ToRegisteredDate
    {
        get { return _ToRegisteredDate; }
        set { _ToRegisteredDate = value; }
    }


    public DataSet GetUserLoginDetails()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@UserLoginId", SqlDbType.VarChar);
        p[0].Value = this._UserName;

        p[1] = new SqlParameter("@Password", SqlDbType.VarChar);
        p[1].Value = this.Password;


        DataSet dsUserLoginDetails = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spUserLoginDetails", p);
        return dsUserLoginDetails;
    }


    public void GetUserDetails()
    {
        string strSql = string.Empty;
        strSql += "select * from tbl_UserDetails u,tbl_UserLoginAccount ul, tbl_Status stat where u.StatusId=stat.StatusId and ul.UserId=u.UserId ";
        strSql += " and u.UserId=" + _UserId;
        DataSet ds=SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(),CommandType.Text,strSql);
        DataRowCollection drc = ds.Tables[0].Rows;
        if (drc.Count > 0)
        {
            _UserName = drc[0]["UserName"].ToString();
            _ContactNo = drc[0]["ContactNo"].ToString();
            _Address = drc[0]["Address"].ToString();
            _CityId = Convert.ToInt32(drc[0]["CityId"].ToString());
            _StateId = Convert.ToInt32(drc[0]["StateId"].ToString());
            _CountryId = Convert.ToInt32(drc[0]["CountryId"].ToString());
            _StatusId = Convert.ToInt32(drc[0]["StatusId"].ToString());
            _EmailId = drc[0]["EmailId"].ToString();
            _DOB =Convert.ToDateTime(drc[0]["DOB"].ToString());
            _Sex = drc[0]["Sex"].ToString();
            _FirstName = drc[0]["FirstName"].ToString();
            _MiddleName = drc[0]["MiddleName"].ToString();
            _LastName = drc[0]["LastName"].ToString();
            _UserTypeId =Convert.ToInt32( drc[0]["UserTypeId"].ToString());
            _Qualification = drc[0]["Qualification"].ToString();
        }
        else
        {
            _ContactNo = "";
            _Address = "";
            _EmailId = "";
            _Sex = "";
            _FirstName = "";
            _MiddleName = "";
            _LastName = "";
            _UserType = "";
            _Qualification = "";
            _UserName = "";

        }
    }
    public DataSet GetUser()
    {
        string strSql = string.Empty;
        strSql = "select * from tbl_UserDetails u,tbl_UserLoginAccount ul, tbl_Status stat,tbl_UserType t where u.StatusId=stat.StatusId and ul.UserId=u.UserId and t.UserTypeID=u.UserTypeId ";
        if (!string.IsNullOrEmpty(_UserName))
            strSql += " and UserName like '%" + _UserName + "%'";
        if (!string.IsNullOrEmpty(_FirstName))
            strSql += " and FirstName like '%" + _FirstName + "%'";
        if (!string.IsNullOrEmpty(_EmailId))
            strSql += " and EmailId='" + _EmailId + "'";

        if (!string.IsNullOrEmpty(_FromRegisteredDate))
            strSql += " and u.RegisteredDate >'" + Convert.ToDateTime(_FromRegisteredDate) + "'";

        if (!string.IsNullOrEmpty(_ToRegisteredDate))
            strSql += " and u.RegisteredDate <'" + Convert.ToDateTime(_ToRegisteredDate) + "'";

        if (!string.IsNullOrEmpty(Sort_On))
        {
            strSql = strSql + " ORDER BY " + Sort_On;
        }
        else
        {
            strSql = strSql + " Order By UserName";
        }
        DataSet dsTemp;
        dsTemp = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.Text, strSql);
        return dsTemp;
    }

    public bool DeleteUserDetails(string UserName)
    {
        string strSql1, strSql2;
        strSql1 = string.Empty;
        strSql1 += "delete from  tbl_UserDetails  where UserId in('" + UserName.Replace(",", "','") + "');";
        strSql2 = "delete from tbl_UserLoginAccount where UserId in('" + UserName.Replace(",", "','") + "')";
        string[] strSql ={ strSql1, strSql2 };
        Boolean b = objdDbConnector.BatchTransaction(strSql);
        return b;
    }

    public int AddUser()
    {
        SqlParameter[] p = new SqlParameter[17];
        p[0]=new SqlParameter ("@UserName",SqlDbType.VarChar);
        p[0].Value=_UserName;

        p[1] = new SqlParameter("@ContactNo", SqlDbType.VarChar);
        p[1].Value = _ContactNo;

        p[2] = new SqlParameter("@Address", SqlDbType.VarChar);
        p[2].Value = _Address;

        p[3] = new SqlParameter("@CityId", SqlDbType.Int);
        p[3].Value = _CityId;

        p[4] = new SqlParameter("@StateId", SqlDbType.Int);
        p[4].Value = _StateId;

        p[5] = new SqlParameter("@CountryId", SqlDbType.Int);
        p[5].Value = _CountryId;

        p[6] = new SqlParameter("@EmailId", SqlDbType.VarChar);
        p[6].Value = _EmailId;

        p[7] = new SqlParameter("@DOB", SqlDbType.DateTime);
        p[7].Value = _DOB;

        p[8] = new SqlParameter("@Sex", SqlDbType.VarChar);
        p[8].Value = _Sex;

        p[9] = new SqlParameter("@FirstName", SqlDbType.VarChar);
        p[9].Value = _FirstName;

        p[10] = new SqlParameter("@MiddleName", SqlDbType.VarChar);
        p[10].Value = _MiddleName;

        p[11] = new SqlParameter("@LastName", SqlDbType.VarChar);
        p[11].Value = _LastName;

        p[12] = new SqlParameter("@UserTypeId", SqlDbType.Int);
        p[12].Value = _UserTypeId;

        p[13] = new SqlParameter("@Qualification", SqlDbType.VarChar);
        p[13].Value = _Qualification;

        p[14] = new SqlParameter("@Password", SqlDbType.VarChar);
        p[14].Value = _Password;
        p[15] = new SqlParameter("@StatusId", SqlDbType.Int);
        p[15].Value = _StatusId;

        p[16] = new SqlParameter("@output", SqlDbType.Int);
        p[16].Direction= ParameterDirection.Output;

        SqlHelper.ExecuteNonQuery(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spAddUser", p);
        return (int)p[16].Value;
    }
    public void UpdateUser()
    {
        SqlParameter[] p = new SqlParameter[15];
        p[0] = new SqlParameter("@UserId", SqlDbType.Int);
        p[0].Value = _UserId;

        p[1] = new SqlParameter("@ContactNo", SqlDbType.VarChar);
        p[1].Value = _ContactNo;

        p[2] = new SqlParameter("@Address", SqlDbType.VarChar);
        p[2].Value = _Address;

        p[3] = new SqlParameter("@CityId", SqlDbType.Int);
        p[3].Value = _CityId;

        p[4] = new SqlParameter("@StateId", SqlDbType.Int);
        p[4].Value = _StateId;

        p[5] = new SqlParameter("@CountryId", SqlDbType.Int);
        p[5].Value = _CountryId;

        p[6] = new SqlParameter("@EmailId", SqlDbType.VarChar);
        p[6].Value = _EmailId;        

        p[7] = new SqlParameter("@FirstName", SqlDbType.VarChar);
        p[7].Value = _FirstName;

        p[8] = new SqlParameter("@MiddleName", SqlDbType.VarChar);
        p[8].Value = _MiddleName;

        p[9] = new SqlParameter("@LastName", SqlDbType.VarChar);
        p[9].Value = _LastName;

        p[10] = new SqlParameter("@UserTypeId", SqlDbType.Int);
        p[10].Value = _UserTypeId;

        p[11] = new SqlParameter("@Qualification", SqlDbType.VarChar);
        p[11].Value = _Qualification;

        p[12] = new SqlParameter("@DOB", SqlDbType.DateTime);
        p[12].Value = _DOB;

        p[13] = new SqlParameter("@Sex", SqlDbType.VarChar);
        p[13].Value = _Sex;
        p[14] = new SqlParameter("@StatusId", SqlDbType.Int);
        p[14].Value = _StatusId;

        SqlHelper.ExecuteNonQuery(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spUpdateUser", p);

    }

    public bool CheckUserName()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@UserName", SqlDbType.VarChar);
        p[0].Value = _UserName;

        DataSet ds = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spCheckUserName", p);
        DataTable dtable = ds.Tables[0];
        if (dtable.Rows.Count > 0)
            return true;
        else
            return false;
    }

    public int UserChangePassword()
    {
        SqlParameter[] p = new SqlParameter[2];

        p[0] = new SqlParameter("@UserId", SqlDbType.VarChar);
        p[0].Value = this._UserName;
        p[1] = new SqlParameter("@Password", SqlDbType.VarChar);
        p[1].Value = this._Password;
        int i = SqlHelper.ExecuteNonQuery(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spUserChangePassword", p);
        return i;
    }

    public bool UserCheckPassword()
    {
        SqlParameter[] p = new SqlParameter[2];

        p[0] = new SqlParameter("@UserId", SqlDbType.VarChar);
        p[0].Value = this._UserName;
        p[1] = new SqlParameter("@Password", SqlDbType.VarChar);
        p[1].Value = _OldPassword;
        DataSet ds = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spUserCheckPassword", p);
        DataRowCollection drc = ds.Tables[0].Rows;
        if (drc.Count > 0)
        {
            return true;
        }
        else
            return false;
    }

    public bool checkUserIdForGetPwd()
    {
        string STRSQL = " SELECT d.UserId,d.FirstName,d.EmailId,l.Password,l.UserName FROM tbl_UserLoginAccount l,tbl_UserDetails d";
        STRSQL = STRSQL + " WHERE d.UserId=l.UserId";
        STRSQL = STRSQL + " AND l.UserName='" + _UserName + "'";
        DataSet dsTemp;
        dsTemp = objdDbConnector.GetDataSet(STRSQL);
        DataRowCollection dRC = dsTemp.Tables[0].Rows;
        if (dRC.Count > 0)
        {
            DataRow dR = dRC[0];
            _UserId = Convert.ToInt32(dR["UserId"].ToString());
            _UserName = dR["UserName"].ToString();
            _Password = dR["Password"].ToString();
            if (!String.IsNullOrEmpty(dR["EmailId"].ToString()))
                _EmailId = dR["EmailId"].ToString();
            return true;
        }
        return false;
    }
}
