using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Controls_ucUserHeaderMenu : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["UserName"] == null)
        {
            Response.Redirect("~/Default.aspx");
        }
        lblUserName.Text = "Welcome to " + Session["UserName"].ToString()+"";
    }
    protected void lnkBtnMyProfile_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Users/frmMyProfile.aspx");
    }
    protected void lnkBtnMyDocument_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Users/frmMyDocuments.aspx");
    }
    protected void lnkBtnChangePassword_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Users/frmChangePassword.aspx");
    }
    protected void lnkBtnLogOut_Click(object sender, EventArgs e)
    {
        Session.Abandon();
        Response.Redirect("~/Default.aspx");
    }
    protected void lnkBtnViewComments_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Users/frmViewRating.aspx");
    }
}
